Euler(3)

NAME
Euler

SYNOPSIS

#include <Euler.h>

  Public Member Functions
Euler ()
Euler (const Euler &e)
Euler (const double psi, const double theta, const double phi)
Euler (View &v)
Euler (Matrix3 &m)
Euler operator= (const Euler &e)
double & operator[] (int i)
double psi ()
double theta ()
double phi ()
void psi (const double d)
void theta (const double d)
void phi (const double d)
View view ()
Matrix3 matrix ()

Detailed Description

Definition at line 28 of file Euler.h.

Constructor & Destructor Documentation

  Euler::Euler () [inline]

Definition at line 35 of file Euler.h.

  Euler::Euler (const Euler & e) [inline]

Definition at line 36 of file Euler.h.

  Euler::Euler (const double psi, const double theta, const double phi) [inline]

Definition at line 37 of file Euler.h.

  Euler::Euler (View & v) [inline]

Definition at line 40 of file Euler.h.

  Euler::Euler (Matrix3 & m) [inline]

Definition at line 47 of file Euler.h.

Member Function Documentation

  Matrix3 Euler::matrix () [inline]

Definition at line 67 of file Euler.h.

  Euler Euler::operator= (const Euler & e) [inline]

Definition at line 51 of file Euler.h.

  double& Euler::operator[] (int i) [inline]

Definition at line 55 of file Euler.h.

  double Euler::phi () [inline]

Definition at line 58 of file Euler.h.

  void Euler::phi (const double d) [inline]

Definition at line 61 of file Euler.h.

  double Euler::psi () [inline]

Definition at line 56 of file Euler.h.

  void Euler::psi (const double d) [inline]

Definition at line 59 of file Euler.h.

  double Euler::theta () [inline]

Definition at line 57 of file Euler.h.

  void Euler::theta (const double d) [inline]

Definition at line 60 of file Euler.h.

  View Euler::view () [inline]

Definition at line 62 of file Euler.h.

Author

Generated automatically by Doxygen for Bsoft from the source code.